package com.srs.comprehensive.domain;

import com.srs.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 思想品德对象 cph_iam
 * 
 * @author zhy
 * @date 2023-07-03
 */
public class CphIam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 思想品德加分表自增ID */
    private Long id;

    /** 提交人id */
    @Excel(name = "提交人id")
    private Long submitter;

    /** 加分人id */
    @Excel(name = "加分人id")
    private Long toAdd;

    /** 加分人id */
    @Excel(name = "得分")
    private BigDecimal iamScore;

    /** 加分人id */
    @Excel(name = "规则记录")
    private Long ruleId;

    /** 佐证材料 */
    @Excel(name = "佐证材料")
    private String material;

    /** 备注 */
    @Excel(name = "备注")
    private String description;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String auditStatus;

    /** 删除标记（0存在2删除） */
    private String delFlag;

    /** 学年id */
    @Excel(name = "学年id")
    private Long stuYearId;

    private String stuNo;


    /** 学生*/
    private SrsStudent student;


    /** 学年*/
    private SrsStuYear stuYearS;
    /** 规则*/
    private CphRules rules;

    private SysUser user;

    public String projectName;
    public String submitTime;
    public String className;
    public String majorName;

    public SrsStudent getStudent() {
        return student;
    }

    public void setStudent(SrsStudent student) {
        this.student = student;
    }

    public SrsStuYear getStuYearS() {
        return stuYearS;
    }

    public void setStuYearS(SrsStuYear stuYearS) {
        this.stuYearS = stuYearS;
    }

    public CphRules getRules() {
        return rules;
    }

    public void setRules(CphRules rules) {
        this.rules = rules;
    }

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }



    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSubmitter(Long submitter) 
    {
        this.submitter = submitter;
    }

    public Long getSubmitter() 
    {
        return submitter;
    }
    public void setToAdd(Long toAdd)
    {
        this.toAdd = toAdd;
    }

    public Long getToAdd()
    {
        return toAdd;
    }
    public void setMaterial(String material) 
    {
        this.material = material;
    }

    public String getMaterial() 
    {
        return material;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setAuditStatus(String auditStatus) 
    {
        this.auditStatus = auditStatus;
    }

    public String getAuditStatus() 
    {
        return auditStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setStuYearId(Long stuYearId) 
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId() 
    {
        return stuYearId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("submitter", getSubmitter())
            .append("toAdd", getToAdd())
            .append("material", getMaterial())
            .append("description", getDescription())
            .append("auditStatus", getAuditStatus())
            .append("iamScore", getIamScore())
            .append("ruleId", getRuleId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("stuYearId", getStuYearId())
            .toString();
    }

    public BigDecimal getIamScore() {
        return iamScore;
    }

    public void setIamScore(BigDecimal iamScore) {
        this.iamScore = iamScore;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }
}
